Name:           tomboy
Version:        0.3.5
Release:        3
Summary:        Tomboy is a desktop note-taking application for Linux and Unix. 

Group:          User Interface/Desktops
License:        GPL
URL:            http://www.beatniksoftware.com/tomboy/
Source0:        %{name}-%{version}.tar.gz
Source1:      	tomboy.png
Source2:      	tomboy-32.png
Source3:      	tomboy-24.png
Source4:      	tomboy-16.png
Patch1:         tomboy-0.3.5-wrapper.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel >= 2.2.3 atk-devel >= 1.2.4 gnome-panel-devel gtkspell-devel gtk-sharp dbus-sharp gmime-sharp

Requires:	gtkspell

# Mono only availible on these: (s390x disabled for now)
ExclusiveArch: %ix86 x86_64 ppc ia64 armv4l sparc s390 #s390x

%description
Tomboy is a desktop note-taking application for Linux and Unix. Simple and easy
to use, but with potential to help you organize the ideas and information you
deal with every day.  The key to Tomboy's usefulness lies in the ability to
relate notes and ideas together.  Using a WikiWiki-like linking system,
organizing ideas is as simple as typing a name.  Branching an idea off is easy
as pressing the Link button. And links between your ideas won't break, even when
renaming and reorganizing them.

%prep
%setup -q
%patch1 -p1 -b .wrapper
cp %SOURCE3 data/images/tintin.png

%build
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
%configure --enable-dbus=yes
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm $RPM_BUILD_ROOT%{_libdir}/tomboy/*.la
chmod a+x $RPM_BUILD_ROOT%{_libdir}/%{name}/*.exe
chmod a+x $RPM_BUILD_ROOT%{_libdir}/%{name}/Plugins/*.dll

cp %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/pixmaps/tintin.png
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/
cp %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/tintin.png
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/
cp %SOURCE2 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/tintin.png
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/24x24/apps/
cp %SOURCE3 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/24x24/apps/tintin.png
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/
cp %SOURCE4 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/tintin.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/tomboy.schemas > /dev/null


%preun
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/tomboy.schemas >/dev/null;

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/Plugins
%{_bindir}/%{name}
%{_libdir}/%{name}/*
%{_libdir}/bonobo/servers/GNOME_TomboyApplet.server
%{_libdir}/pkgconfig/*.pc
%{_libdir}/dbus-1.0/services/com.beatniksoftware.Tomboy.service
%{_mandir}/man1/%{name}.1.gz
%{_datadir}/gnome-2.0/ui/GNOME_TomboyApplet.xml
%{_datadir}/pixmaps/tintin.png
%{_datadir}/icons/hicolor/*/apps/tintin.png

%{_sysconfdir}/gconf/schemas/tomboy.schemas

%changelog
* Fri Feb 17 2006 Christopher Aillon <caillon@redhat.com> - 0.3.5-3
- Don't run tomboy in the current working directory

* Sun Feb 12 2006 Christopher Aillon <caillon@redhat.com> - 0.3.5-2
- Rebuild

* Tue Feb  7 2006 Jesse Keating <jkeating@redhat.com> - 0.3.5-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Feb  6 2006 Christopher Aillon <caillon@redhat.com> - 0.3.5-1
- Tomboy 0.3.5

* Tue Jan 31 2006 Christopher Aillon <caillon@redhat.com> - 0.3.4-2
- Rebuild

* Mon Jan 30 2006 Alexander Larsson <alexl@redhat.com> - 0.3.4-1
- update to 0.3.4

* Fri Jan 13 2006 Alexander Larsson <alexl@redhat.com> 0.3.3-5
- Add gtkspell requirement

* Mon Jan  9 2006 Alexander Larsson <alexl@redhat.com> - 0.3.3-4
- Better icons

* Thu Dec  8 2005 Alexander Larsson <alexl@redhat.com> 0.3.3-3
- rebuild for new dbus

* Fri Nov 18 2005 Alexander Larsson <alexl@redhat.com> 0.3.3-2
- Make dlls and exes executable to pick up dependencies

* Wed Nov 16 2005 Alexander Larsson <alexl@redhat.com> - 0.3.3-1
- Initial package

